/**
 * Wait for intercepted calls to be available
 *
 * @param lambdaName string
 * @param numberOfCallsToExpect number
 * @param timeout number in milliseconds
 */
export declare const waitForNumberOfInterceptedCalls: (lambdaName: string, numberOfCallsToExpect: number, timeout: number) => Promise<{
    url: string;
    method: string;
    body?: string | undefined;
    headers?: {
        [x: string]: string | undefined;
    } | undefined;
    queryParams?: {
        [x: string]: string | undefined;
    } | undefined;
}[]>;
